## golang-github-agnivade-levenshtein 1.1.1

=== Makefile ===
all: test install

install:
	go install

lint:
	gofmt -l -s -w . && go vet . && golint -set_exit_status=1 .

test: # The first 2 go gets are to support older Go versions
	go get github.com/arbovm/levenshtein
	go get github.com/dgryski/trifles/leven
	GO111MODULE=on go test -race -v -coverprofile=coverage.txt -covermode=atomic

bench:
	go test -run=XXX -bench=. -benchmem -count=5

=== debian/changelog ===
golang-github-agnivade-levenshtein (1.1.1-2) unstable; urgency=medium

  * Source-only upload to permit testing migration.

 -- Taavi Väänänen <hi@taavi.wtf>  Thu, 03 Nov 2022 20:24:23 +0200

golang-github-agnivade-levenshtein (1.1.1-1) unstable; urgency=medium

  * Initial release (Closes: #1023097)

 -- Taavi Väänänen <hi@taavi.wtf>  Mon, 31 Oct 2022 19:45:30 +0530

=== debian/control ===
Source: golang-github-agnivade-levenshtein
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Taavi Väänänen <hi@taavi.wtf>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-agnivade-levenshtein
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-agnivade-levenshtein.git
Homepage: https://github.com/agnivade/levenshtein
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/agnivade/levenshtein

Package: golang-github-agnivade-levenshtein-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go implementation to calculate Levenshtein Distance. (library)
 levenshtein is a Go package to calculate the Levenshtein Distance
 between two strings. It is fully capable of working with non-ASCII
 strings.

## golang-github-agnivade-levenshtein 1.2.0

=== debian/changelog ===
golang-github-agnivade-levenshtein (1.2.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Rebase patch removing benchmark only dependencies
  * Update Standards-Version to 4.7.0 in d/control (no changes needed)

 -- Mathias Gibbens <gibmat@debian.org>  Sun, 22 Dec 2024 17:10:47 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-agnivade-levenshtein
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-agnivade-levenshtein.git
 Homepage: https://github.com/agnivade/levenshtein

## golang-github-agnivade-levenshtein 1.2.1

=== Makefile ===
all: test install

install:
	go install

lint:
	gofmt -l -s -w . && go vet .

test:
	go test -race -v -coverprofile=coverage.txt -covermode=atomic

bench:
	go test -run=XXX -bench=. -benchmem -count=5

=== debian/changelog ===
golang-github-agnivade-levenshtein (1.2.1-1) unstable; urgency=medium

  * New upstream release 1.2.1.
  * Update my email address.

 -- Taavi Väänänen <taavi@debian.org>  Thu, 28 Aug 2025 16:54:29 +0300

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-agnivade-levenshtein
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Taavi Väänänen <hi@taavi.wtf>
+Uploaders: Taavi Väänänen <taavi@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/agnivade/levenshtein/tags .*/v?(\d\S*)\.tar\.gz debian
